// MyADSAppDoc.cpp : implementation of the CMyADSAppDoc class
//

#include "stdafx.h"
#include "MyADSApp.h"

#include "MyADSAppDoc.h"
#include "SrvrItem.h"
#include "EditStringDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc

IMPLEMENT_DYNCREATE(CMyADSAppDoc, COleServerDoc)

BEGIN_MESSAGE_MAP(CMyADSAppDoc, COleServerDoc)
	//{{AFX_MSG_MAP(CMyADSAppDoc)
	ON_COMMAND(ID_EDIT_STRING, OnEditString)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc construction/destruction

CMyADSAppDoc::CMyADSAppDoc()
{
	// Use OLE compound files
	EnableCompoundFile();

	// TODO: add one-time construction code here

}

CMyADSAppDoc::~CMyADSAppDoc()
{
}

BOOL CMyADSAppDoc::OnNewDocument()
{
	if (!COleServerDoc::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc server implementation

COleServerItem* CMyADSAppDoc::OnGetEmbeddedItem()
{
	// OnGetEmbeddedItem is called by the framework to get the COleServerItem
	//  that is associated with the document.  It is only called when necessary.

	CMyADSAppSrvrItem* pItem = new CMyADSAppSrvrItem(this);
	ASSERT_VALID(pItem);
	return pItem;
}

/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc Active Document server implementation

CDocObjectServer *CMyADSAppDoc::GetDocObjectServer(LPOLEDOCUMENTSITE pDocSite)
{
	return new CDocObjectServer(this, pDocSite);
}



/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc serialization

void CMyADSAppDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		ar << m_strDisplay;
	}
	else
	{
		ar >> m_strDisplay;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc diagnostics

#ifdef _DEBUG
void CMyADSAppDoc::AssertValid() const
{
	COleServerDoc::AssertValid();
}

void CMyADSAppDoc::Dump(CDumpContext& dc) const
{
	COleServerDoc::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyADSAppDoc commands

void CMyADSAppDoc::OnEditString() 
{
  CEditStringDlg myDialog; 
  myDialog.m_newstring = m_strDisplay; 
  if (myDialog.DoModal() == IDOK &&
    myDialog.m_newstring != m_strDisplay)
  {
    m_strDisplay = myDialog.m_newstring; 
    UpdateAllViews(NULL); 
    SetModifiedFlag(); 
  } 
}
